org.eclipse.emf.compare.ide.ui.internal.logical.view

## Class EMFCompareEditorLMVHandler

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.view.AbstractLogicalModelViewHandler
  - - org.eclipse.emf.compare.ide.ui.internal.logical.view.EMFCompareEditorLMVHandler

All Implemented Interfaces:
  ILogicalModelViewHandler

    public class EMFCompareEditorLMVHandler
    extends AbstractLogicalModelViewHandler

Handle, for the Logical Model View, the EMF Compare editor activations.

### Constructor Summary

Constructors
Constructor and Description
`EMFCompareEditorLMVHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<org.eclipse.core.resources.IFile>` `getFiles(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)` Retrieve the files associated with the given editor (via its `IWorkbenchPart`).

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.view.AbstractLogicalModelViewHandler

`canHandle, getSynchronizationModels`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMFCompareEditorLMVHandler

    public EMFCompareEditorLMVHandler()

### Method Detail

#### getFiles

    public Collection<org.eclipse.core.resources.IFile> getFiles(org.eclipse.ui.IWorkbenchPart part,
                                                                 org.eclipse.jface.viewers.ISelection selection)

Retrieve the files associated with the given editor (via its `IWorkbenchPart`).

Specified by:
  `getFiles` in interface `ILogicalModelViewHandler`
Overrides:
  `getFiles` in class `AbstractLogicalModelViewHandler`
Parameters:
  `part` - the `IWorkbenchPart` of the editor.
  `selection` - the `ISelection`.
Returns:
  the files associated with the given editor (via its `IWorkbenchPart`).